ubuntu/+source/libarchive:applied/ubuntu/wily-security

Last commit made on 2016-07-14
Get this branch:
git clone -b applied/ubuntu/wily-security https://git.launchpad.net/ubuntu/+source/libarchive
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/wily-security
Repository:
lp:ubuntu/+source/libarchive

Recent commits

4e153ab... by Marc Deslauriers on 2016-07-13

3.1.2-11ubuntu0.15.10.2 (patches applied)

Imported using git-ubuntu import.

ed3a78e... by Marc Deslauriers on 2016-07-13

[PATCH] Issue 717: Fix integer overflow when computing location of

Gbp-Pq: CVE-2016-5844.patch.

cd2bac0... by Marc Deslauriers on 2016-07-13

[PATCH] Reject cpio symlinks that exceed 1MB

Gbp-Pq: CVE-2016-4809.patch.

4199e54... by Marc Deslauriers on 2016-07-13

fix crash via rar files with zero dictionary size

Gbp-Pq: CVE-2016-4302.patch.

1d00ea4... by Marc Deslauriers on 2016-07-13

fix overflow reading 7-Zip with large number of substreams

Gbp-Pq: CVE-2016-4300.patch.

59f09f8... by Marc Deslauriers on 2016-07-13

[PATCH] Issue 521: Properly check reading from lzss decompression

Gbp-Pq: CVE-2015-8934.patch.

ce8d729... by Marc Deslauriers on 2016-07-13

[PATCH] Issue #582: reject sparse blocks with negative size or

Gbp-Pq: CVE-2015-8933.patch.

8892b6a... by Marc Deslauriers on 2016-07-13

fix crash via invalid compressed data

Gbp-Pq: CVE-2015-8932.patch.

7b45562... by Marc Deslauriers on 2016-07-13

fix integer overflow parsing time values

Gbp-Pq: CVE-2015-8931.patch.

26fe1cb... by Marc Deslauriers on 2016-07-13

fix segfault via dir loop in malformed ISO

Gbp-Pq: CVE-2015-8930.patch.